Microsimulation API: Rcpp Namespace Reference

Microsimulation API

Functions
Rcpp Namespace Reference

## Functions
template<class T1 , class T2 >
SEXP | wrap (const std::vector< std::pair< T1, T2 > > v)
template<class T1 , class T2 >
SEXP | wrap (const std::vector< std::tuple< T1, T2 > > v)
template<class T1 , class T2 , class T3 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3 > > v)
template<class T1 , class T2 , class T3 , class T4 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5, T6 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 >
SEXP | wrap (const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 > > v)
template<class T1 , class T2 >
SEXP | wrap_map (const std::map< T1, T2 > v)
template<class T1a , class T1b , class T2 >
SEXP | wrap_map (const std::map< std::pair< T1a, T1b >, T2 > v, std::string key, std::string name1, std::string name2)
template<class T1a , class T1b , class T1c , class T2 >
SEXP | wrap_map (const std::map< std::tuple< T1a, T1b, T1c >, T2 > v, std::string key, std::string name1, std::string name2, std::string name3)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
SEXP | wrap_map (const std::map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > v, std::string key, std::string name1, std::string name2)
template<class T1 , class T2 >
SEXP | wrap_map (const std::unordered_map< T1, T2 > v)
template<class T1a , class T1b , class T2 >
SEXP | wrap_map (const std::unordered_map< std::pair< T1a, T1b >, T2 > v, std::string key, std::string name1, std::string name2)
template<class T1a , class T1b , class T1c , class T2 >
SEXP | wrap_map (const std::unordered_map< std::tuple< T1a, T1b, T1c >, T2 > v, std::string key, std::string name1, std::string name2, std::string name3)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
SEXP | wrap_map (const std::unordered_map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > v, std::string key, std::string name1, std::string name2)
template<class T1 , class T2 >
SEXP | wrap (const vector< pair< T1, T2 > > v)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
SEXP | wrap_map (const std::map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > v, std::string name1, std::string name2)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
SEXP | wrap_map (const std::unordered_map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > ov, std::string name1, std::string name2)

## Function Documentation

## ◆ wrap() [1/11]

template<class T1 , class T2 >

SEXP Rcpp::wrap | ( | const std::vector< std::pair< T1, T2 > > | v | ) |

## ◆ wrap() [2/11]

template<class T1 , class T2 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2 > > | v | ) |

Definition at line 1161 of file microsimulation.h.

## ◆ wrap() [3/11]

template<class T1 , class T2 , class T3 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3 > > | v | ) |

Definition at line 1174 of file microsimulation.h.

## ◆ wrap() [4/11]

template<class T1 , class T2 , class T3 , class T4 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4 > > | v | ) |

Definition at line 1190 of file microsimulation.h.

## ◆ wrap() [5/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5 > > | v | ) |

Definition at line 1208 of file microsimulation.h.

## ◆ wrap() [6/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5, T6 > > | v | ) |

Definition at line 1229 of file microsimulation.h.

## ◆ wrap() [7/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7 > > | v | ) |

Definition at line 1252 of file microsimulation.h.

## ◆ wrap() [8/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8 > > | v | ) |

Definition at line 1278 of file microsimulation.h.

## ◆ wrap() [9/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > > | v | ) |

Definition at line 1306 of file microsimulation.h.

## ◆ wrap() [10/11]

template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 >

SEXP Rcpp::wrap | ( | const std::vector< std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 > > | v | ) |

Definition at line 1337 of file microsimulation.h.

## ◆ wrap() [11/11]

template<class T1 , class T2 >

SEXP Rcpp::wrap | ( | const vector< pair< T1, T2 > > | v | ) |

Definition at line 1149 of file microsimulation.h.

## ◆ wrap_map() [1/10]

template<class T1 , class T2 , class T3 , class T4 , class T5 >

SEXP Rcpp::wrap_map | ( | const std::map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

## ◆ wrap_map() [2/10]

template<class T1 , class T2 , class T3 , class T4 , class T5 >

SEXP Rcpp::wrap_map | ( | const std::map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > | v,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

Definition at line 1453 of file microsimulation.h.

## ◆ wrap_map() [3/10]

template<class T1a , class T1b , class T2 >

SEXP Rcpp::wrap_map | ( | const std::map< std::pair< T1a, T1b >, T2 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

Definition at line 1413 of file microsimulation.h.

## ◆ wrap_map() [4/10]

template<class T1a , class T1b , class T1c , class T2 >

SEXP Rcpp::wrap_map | ( | const std::map< std::tuple< T1a, T1b, T1c >, T2 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2,
|  | std::string | name3
| ) |  |

Definition at line 1391 of file microsimulation.h.

## ◆ wrap_map() [5/10]

template<class T1 , class T2 >

SEXP Rcpp::wrap_map | ( | const std::map< T1, T2 > | v | ) |

Definition at line 1371 of file microsimulation.h.

## ◆ wrap_map() [6/10]

template<class T1 , class T2 , class T3 , class T4 , class T5 >

SEXP Rcpp::wrap_map | ( | const std::unordered_map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > | ov,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

Definition at line 1482 of file microsimulation.h.

## ◆ wrap_map() [7/10]

template<class T1 , class T2 , class T3 , class T4 , class T5 >

SEXP Rcpp::wrap_map | ( | const std::unordered_map< std::pair< std::tuple< T1, T2, T3 >, T4 >, T5 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

## ◆ wrap_map() [8/10]

template<class T1a , class T1b , class T2 >

SEXP Rcpp::wrap_map | ( | const std::unordered_map< std::pair< T1a, T1b >, T2 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2
| ) |  |

Definition at line 1446 of file microsimulation.h.

## ◆ wrap_map() [9/10]

template<class T1a , class T1b , class T1c , class T2 >

SEXP Rcpp::wrap_map | ( | const std::unordered_map< std::tuple< T1a, T1b, T1c >, T2 > | v,
|  | std::string | key,
|  | std::string | name1,
|  | std::string | name2,
|  | std::string | name3
| ) |  |

Definition at line 1439 of file microsimulation.h.

## ◆ wrap_map() [10/10]

template<class T1 , class T2 >

SEXP Rcpp::wrap_map | ( | const std::unordered_map< T1, T2 > | v | ) |

Definition at line 1433 of file microsimulation.h.